cURL
curl --request GET \
--url https://app-api.aide.app/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"number": 123,
"object": "order",
"name": "<string>",
"tags": [
"<string>"
],
"createdAt": "<string>",
"id": "<string>",
"total": "<string>",
"currency": "<string>",
"note": "<string>",
"metafields": [
{
"url": "<string>",
"name": "<string>",
"value": "<string>",
"key": "<string>",
"references": [
{
"handle": "<string>",
"url": "<string>",
"kind": "collection",
"title": "<string>"
}
],
"type": "<string>",
"namespace": "<string>",
"display": "<string>"
}
],
"financialStatus": "<string>",
"fulfillmentStatus": "cancelled",
"items": [
{
"id": "<string>",
"title": "<string>",
"imageUrl": "<string>",
"price": "<string>",
"quantity": 123,
"sku": "<string>",
"variantTitle": "<string>",
"fulfilledQuantity": 123,
"unfulfilledQuantity": 123
}
],
"refunded": "<string>",
"cancelledAt": "<string>",
"shippingAddress": {
"name": "<string>",
"phone": "<string>",
"zip": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"country": "<string>",
"countryCode": "<string>"
},
"adminUrl": "<string>",
"currentTotal": "<string>",
"refundable": "<string>",
"fulfillments": [
{
"number": "<string>",
"url": "<string>",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "<string>",
"events": [
{
"source": "carrier",
"status": "<string>",
"message": "<string>",
"location": "<string>",
"happenedAt": "<string>"
}
],
"deliveredAt": "<string>",
"carrier": "<string>",
"items": [
{
"title": "<string>",
"quantity": 123,
"lineItemId": "<string>"
}
],
"estimatedDeliveryAt": "<string>",
"lastEvent": {
"text": "<string>",
"happenedAt": "<string>"
}
}
]
}
],
"metadata": {
"total": 123,
"totalIsCapped": true,
"perPage": 123,
"currentPage": 123,
"lastPage": 123,
"hasMore": true
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Order
Get v1orders
GET
/
v1
/
orders
cURL
curl --request GET \
--url https://app-api.aide.app/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"number": 123,
"object": "order",
"name": "<string>",
"tags": [
"<string>"
],
"createdAt": "<string>",
"id": "<string>",
"total": "<string>",
"currency": "<string>",
"note": "<string>",
"metafields": [
{
"url": "<string>",
"name": "<string>",
"value": "<string>",
"key": "<string>",
"references": [
{
"handle": "<string>",
"url": "<string>",
"kind": "collection",
"title": "<string>"
}
],
"type": "<string>",
"namespace": "<string>",
"display": "<string>"
}
],
"financialStatus": "<string>",
"fulfillmentStatus": "cancelled",
"items": [
{
"id": "<string>",
"title": "<string>",
"imageUrl": "<string>",
"price": "<string>",
"quantity": 123,
"sku": "<string>",
"variantTitle": "<string>",
"fulfilledQuantity": 123,
"unfulfilledQuantity": 123
}
],
"refunded": "<string>",
"cancelledAt": "<string>",
"shippingAddress": {
"name": "<string>",
"phone": "<string>",
"zip": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"country": "<string>",
"countryCode": "<string>"
},
"adminUrl": "<string>",
"currentTotal": "<string>",
"refundable": "<string>",
"fulfillments": [
{
"number": "<string>",
"url": "<string>",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "<string>",
"events": [
{
"source": "carrier",
"status": "<string>",
"message": "<string>",
"location": "<string>",
"happenedAt": "<string>"
}
],
"deliveredAt": "<string>",
"carrier": "<string>",
"items": [
{
"title": "<string>",
"quantity": 123,
"lineItemId": "<string>"
}
],
"estimatedDeliveryAt": "<string>",
"lastEvent": {
"text": "<string>",
"happenedAt": "<string>"
}
}
]
}
],
"metadata": {
"total": 123,
"totalIsCapped": true,
"perPage": 123,
"currentPage": 123,
"lastPage": 123,
"hasMore": true
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
accessTokenapiKey
An access token, bound to one account.
Query Parameters
Maximum string length:
254Required string length:
1 - 64Required range:
1 <= x <= 500Required range:
1 <= x <= 20